package com.unis.grainReserves.config;

import com.github.xiaoymin.knife4j.spring.extension.OpenApiExtensionResolver;
import com.unis.common.pojo.CommonResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.RequestMethod;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: swagger config
 * @create 2024-05-14 16:54
 */
@Configuration
public class GrainReservesConfigure {
    @Resource
    private OpenApiExtensionResolver openApiExtensionResolver;

    @Bean(value = "grainReservesInfoDocApi")
    public Docket grainReservesInfoDocApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(new ApiInfoBuilder()
                        .title("粮食储备")
                        .description("粮食储备")
                        .termsOfServiceUrl("https://www.xiaonuo.vip")
                        .contact(new Contact("UNIS_TEAM","https://www.xiaonuo.vip", "xuyuxiang29@foxmail.com"))
                        .version("1.0.0")
                        .build())
                .globalResponseMessage(RequestMethod.GET, CommonResult.responseList())
                .globalResponseMessage(RequestMethod.POST, CommonResult.responseList())
                .groupName("粮食储备")
                .select()
                .apis(RequestHandlerSelectors.withMethodAnnotation(ApiOperation.class))
                .apis(RequestHandlerSelectors.basePackage("com.unis.grainReserves"))
                .paths(PathSelectors.any())
                .build().extensions(openApiExtensionResolver.buildExtensions("粮食储备"));
    }

}
